import { NODE_ENV } from '../environment';
import { audit } from './audit';

export const echo: (...args: any[]) => void =
  NODE_ENV === 'test'
    ? function () {
        // do nothing
      }
    : (...args: Parameters<typeof console.log>) => {
        audit(`echo "${args}"`);
        console.log(...args);
      };

export function echoCommandInvocation(command: string) {
  echo(`$ ${command}`);
}
