export function keyMirror<T extends object>(obj: T): { [K in keyof T]: K } {
  const newObj = {};
  for (const key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      newObj[String(key)] = key;
    }
  }
  return newObj as { [K in keyof T]: K };
}
